Skip to main content
DELETE
Delete branch

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required

Project slug, UUID, or domain that identifies the project.

branch_id
string<uuid>
required

Branch to delete. Only a branch with a base branch can be deleted, excluding main. Its associated content is removed.

Response

Branch deleted successfully.

ok
enum<boolean>
required
Available options:
true
success
boolean
required

Deprecated: always true. Use ok.

deleted_branch_id
string<uuid>
required

Deprecated: the deleted branch ID from the request path. Use ok.